Subject: Re: [PATCH] struct file cleanup : the very large file_ra_state is now allocated only on demand.

From: Nick Piggin <[email-masked]>
Date: Thu, 18 Aug 2005 12:52:24 +1000

Andi Kleen wrote:

>
>I would just set the ra pointer to a single global structure if the allocation
>fails. Then you can avoid all the other checks. It will slow down
>things and trash some state, but not fail and nobody should expect good 
>performance after out of memory anyways. The only check still
>needed would be on freeing.
>
>

You don't want to always have bad performance though, so you
could attempt to allocate if either the pointer is null _or_ it
points to the global structure?

Send instant messages to your online friends http://au.messenger.yahoo.com